propagator.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::ReUnaryPropagator< View, pc, CtrlView >
| Reified unary propagator. More...
class | Gecode::Int::ReBinaryPropagator< View, pc, CtrlView >
| Reified binary propagator. More...
class | Gecode::Int::ReMixBinaryPropagator< View0, pc0, View1, pc1, CtrlView >
| Reified mixed binary propagator. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.